# Titan HTTP API

"Titan is a next-gen Bitcoin indexer by Saturn, designed for real-time blockchain access, optimized queries, and seamless Runes protocol integration. It delivers superior performance with minimal resource consumption."

**Mainnet:** [https://titan.ordinalsbot.com](https://titan.ordinalsbot.com/)

**Signet:** [https://signet-titan.ordinalsbot.com](https://signet-titan.ordinalsbot.com/)

**Testnet:** [https://testnet-titan.ordinalsbot.com](https://testnet-titan.ordinalsbot.com/)

You can refer to official Titan API documentation for all available endpoints.

{% embed url="<https://github.com/SaturnBTC/Titan/blob/master/ts-sdk/README.md#http-client-titanhttpclient>" %}

## Get Status

<mark style="color:green;">`GET`</mark> `https://signet-titan.ordinalsbot.com/status`

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "block_tip": {
        "height": 256858,
        "hash": "00000004c27b74087550febc56b093837c44f5323afef7b745337dc61da5ef66"
    },
    "runes_count": 1936,
    "mempool_tx_count": 88323
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/titan-api/titan-http-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
